Rainso

破壳而出
2020-09-01
27
9
思考时间
4 小时 26 分钟
8
今天下午打开multimc想尝试进一下新版本的游戏,无奈出问题,初步Google后无果,

——问题概述
第一次运行失败,原来java更新到了16才可以运行1.17及其以上版本。——于是下载了jre1.16,并在multimc里进行了设置
但随后运行出现了我看不懂的错误提示,貌似需要java基础,于是发帖问问大佬们。
之前用的都是1.8的java,在别的版本上玩的好好的。谷歌了一番,没有找到针对我的log的解决办法...

Q:我该怎么修改?
PS:18JDK里的javaw.exe,这样选没问题吗?另外的几个都是JRE下的...


java16运行版本如下,奇怪的问题在于,【测试】是成功的,但是【自动检测】不行...
O9Ivrt.png

O9Hsy9.png



日志情况如下...

O9IjKI.png






我又用了jdk-18.0.1来启动,能检测到,但是也有类似的问题



O9HrQJ.png

O9Hbwt.png

代码:
Exiting with -1
Failed to start Minecraft:
java.lang.reflect.InvocationTargetException
    at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:119)
    at java.base/java.lang.reflect.Method.invoke(Method.java:577)
    at org.multimc.onesix.OneSixLauncher.launchWithMainClass(OneSixLauncher.java:210)
    at org.multimc.onesix.OneSixLauncher.launch(OneSixLauncher.java:245)
    at org.multimc.EntryPoint.listen(EntryPoint.java:143)
    at org.multimc.EntryPoint.main(EntryPoint.java:34)
Caused by: java.lang.RuntimeException: Unfixable conflicts
    at net.fabricmc.tinyremapper.TinyRemapper.handleConflicts(TinyRemapper.java:773)
    at net.fabricmc.tinyremapper.TinyRemapper.propagate(TinyRemapper.java:673)
    at net.fabricmc.tinyremapper.TinyRemapper.mrjRefresh(TinyRemapper.java:948)
    at net.fabricmc.tinyremapper.TinyRemapper.apply(TinyRemapper.java:804)
    at net.fabricmc.tinyremapper.TinyRemapper.apply(TinyRemapper.java:778)
    at net.fabricmc.loader.launch.common.FabricLauncherBase.deobfuscate0(FabricLauncherBase.java:185)
    at net.fabricmc.loader.launch.common.FabricLauncherBase.deobfuscate(FabricLauncherBase.java:118)
    at net.fabricmc.loader.launch.knot.Knot.init(Knot.java:117)
    at net.fabricmc.loader.launch.knot.KnotClient.main(KnotClient.java:28)
    at java.base/jdk.internal.reflect.DirectMethodHandleAccessor.invoke(DirectMethodHandleAccessor.java:104)
    ... 5 more
进程退出,代码:-1。
 

Rainso

破壳而出
2020-09-01
27
9
思考时间
4 小时 26 分钟
8
补充,新建了一个纯净原版1.17.1实例,用java16是正常打开了...那问题并不是在java16上吧:eek:
 

10935336

明星成鸟
2020-08-07
235
157
思考时间
8 天 46 分钟
48
Mars
自动检测找不到很正常,因为它只扫描几个特定的文件夹。

注意看第一张图的版本那里,这个包是 1.16.5 的,但是你那里却显示 Minecraft 版本是 1.17.1,是不小心改过还是安装问题?建议重新安装模组包。

1.12(17w13a) - 1.16.5(1.17-21w18a) 需要使用 Java 8 而不是 Java 16 哦。

参见:适用于 Minecraft 的 Java (... | 翠鸟图书馆 Project Halcyon Library
 
  • 1赞(加分)
反馈: Rainso

Rainso

破壳而出
2020-09-01
27
9
思考时间
4 小时 26 分钟
8
原来如此,感谢指教,不过其实Lwjgl 和那个mapping是什么我看不太懂...
模组知识太少了,所以我只是直接把去年(貌似是哔哔机发的)的1.16.5整合包拿来改了本体版本就想用的
现在看来,高于(及包含)1.17的要改java16以外,模组包也得改版本orz
 

10935336

明星成鸟
2020-08-07
235
157
思考时间
8 天 46 分钟
48
Mars

rainsist

成熟小鸟
2020-10-08
93
49
思考时间
1 天 7 小时 23 分钟
23
PCL2提供额外的java自动修复功能,从此不碰设置
有段时间装了idea后每玩一次自动修复一次
 
  • 1赞(加分)
反馈: Rainso

Rainso

破壳而出
2020-09-01
27
9
思考时间
4 小时 26 分钟
8
嗬,让我猜猜idea是什么,任务备忘录模组?